![Stars](https://img.shields.io/github/stars/mhss1/mybrain?style=social)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![Crowdin](https://badges.crowdin.net/my-brain-app/localized.svg)](https://crowdin.com/project/my-brain-app)

<img align="left" width="80" height="80" src="https://user-images.githubusercontent.com/58703865/169863670-eee3c8f1-1308-4eb2-9aea-f7c0a47e6a31.png" alt="app icon">

# My Brain
  
### All-in-one productivity app and AI assistant with Tasks, Notes, Calendar, Diary and Bookmarks.

![MyBrain banner](https://github.com/user-attachments/assets/4dabc54e-5925-4fd5-a940-fef4b2741787)


[screenshots made by previewed](https://previewed.app/template/00CBF3F6)

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
    alt="Get it on F-Droid"
    height="80">](https://f-droid.org/packages/com.mhss.app.mybrain)
[<img src="https://github.com/mhss1/MyBrain/assets/58703865/94cbf557-b1a9-4339-b6b4-def21dde3c11"
     alt="Get it on GitHub"
     height="80">](https://github.com/mhss1/MyBrain/releases/latest)
      
## Features
- Local and Private with no data collection at all.
- Create tasks with priority, sub-tasks, due date and reminders.
- Create Notes that supports markdown which enables you to use Headers, lists, links etc..
- Record your mood daily and view your mood summary with beautiful graphs.
- Save bookmarks for later by using the share menu from any other app.
- View your calendar events in a modern view and also with a beautiful home screen widget.
- Dashboard screen to see your tasks, calendar events, and more to see your day at a glance.
- AI assistant to help you with your daily workflow. You can chat and attach notes, tasks, or calendar events to your conversations—or even combine them all for comprehensive planning.

## Technologies
- 100% Kotlin.
- Multi-module project.
- Made Using Jetpack Compose.
- Widgets made with Jetpack Glance.
- Following Clean Architecture approach. 
- MVI Design Pattern.
- Room DB
- Koin
- Ktor
- Preferences DataStore
- Kotlin coroutines
- Kotlin Flows
- Alarm Manager
- Content Provider
- Biometric Authentication

## Translation
Project localisation is managed via [Crowdin](https://crowdin.com/project/my-brain-app)
[![Crowdin](https://badges.crowdin.net/my-brain-app/localized.svg)](https://crowdin.com/project/my-brain-app)

## Contributing
To get started, take a look at [CONTRIBUTING.md](CONTRIBUTING.md).

---
Icons Attribution:
<a href="https://www.flaticon.com/free-icons/document" title="document icons">Document icons created by Freepik - Flaticon</a>
<a href="https://www.flaticon.com/free-icons/list" title="list icons">List icons created by Freepik - Flaticon</a>
<a href="https://www.flaticon.com/free-icons/3d-calendar" title="3d calendar icons">3d calendar icons created by Freepik - Flaticon</a>
<a href="https://www.flaticon.com/free-icons/bookmark" title="bookmark icons">Bookmark icons created by Freepik - Flaticon</a>
<a href="https://www.flaticon.com/free-icons/book" title="book icons">Book icons created by Freepik - Flaticon</a>
<a href="https://www.flaticon.com/free-icons/chatbot" title="chatbot icons">Chatbot icons created by HideMaru - Flaticon</a>
